services:
  Telnowedge\BaseBundle\Handler\AbstractProxyHandler:
    abstract: true
    calls:
      - method: setFreePbxContainer
        arguments:
          $container: '@freepbx_container'
      - method: setFreePbxManager
        arguments:
          $manager: '@freepbx_manager'
      - method: setEventDispatcher
        arguments:
          - '@event_dispatcher'

  Telnowedge\BaseBundle\Handler\AbstractLdapHandler:
    abstract: true
    calls:
      - method: setFreePbxContainer
        arguments:
          - '@freepbx_container'
      - method: setFreePbxManager
        arguments:
          - '@freepbx_manager'
      - method: initLdapConnection
      - method: initAmpConfManager
